Get Roles Of Group In Project Using GET

Get Roles Of Group In Project Using GET

Get roles of group in project

Access Policy

Role User Accounts Service Accounts (Client Credentials Applications)
Organization Admin ✔️ ✔️
Organization Owner ✔️ ✔️
Project Admin ✔️ ✔️
Request
URI
GET
https://{api_host}/csp/gateway/resource/api/v1/orgs/{orgId}/projects/{projectId}/groups/{groupId}
COPY
Path Parameters
string
orgId
Required

Parent organization ID for the project

string
projectId
Required

Identifier of the project specified

string
groupId
Required

Identifier of the group specified


Authentication
This operation uses the following authentication methods.
Responses
200

Successful operation

Returns ResourceScopedRolesResponse of type(s) application/json
{
    "customRoles": [
        {
            "createdBy": "string",
            "createdDate": "string",
            "expiresAt": "string",
            "lastUpdatedDate": "string",
            "membershipType": "string",
            "name": "string",
            "resource": "string"
        }
    ],
    "orgRoles": [
        {
            "createdBy": "string",
            "createdDate": "string",
            "displayName": "string",
            "expiresAt": "string",
            "lastUpdatedDate": "string",
            "membershipType": "string",
            "name": "string",
            "resource": "string"
        }
    ],
    "serviceRoles": [
        {
            "roles": [
                {
                    "createdBy": "string",
                    "createdDate": "string",
                    "expiresAt": "string",
                    "lastUpdatedDate": "string",
                    "membershipType": "string",
                    "name": "string",
                    "resource": "string"
                }
            ],
            "serviceDefinitionId": "string"
        }
    ]
}
array of object
customRoles
Optional

List of the custom roles.

array of object
orgRoles
Optional

List of the organization roles.

array of object
serviceRoles
Optional

List of the service roles.


401

Unauthorized

Returns CspErrorResponse of type(s) application/json
"CspErrorResponse Object"
string
cspErrorCode
Optional

cspErrorCode

string
errorCode
Optional

errorCode

string
message
Optional

message

integer As int32 As int32
moduleCode
Optional

moduleCode

string
requestId
Optional

requestId

integer As int32 As int32
statusCode
Optional

statusCode


403

The user is forbidden to use the API

Returns CspErrorResponse of type(s) application/json
"CspErrorResponse Object"
string
cspErrorCode
Optional

cspErrorCode

string
errorCode
Optional

errorCode

string
message
Optional

message

integer As int32 As int32
moduleCode
Optional

moduleCode

string
requestId
Optional

requestId

integer As int32 As int32
statusCode
Optional

statusCode


404

The requested resource could not be found

Returns CspErrorResponse of type(s) application/json
"CspErrorResponse Object"
string
cspErrorCode
Optional

cspErrorCode

string
errorCode
Optional

errorCode

string
message
Optional

message

integer As int32 As int32
moduleCode
Optional

moduleCode

string
requestId
Optional

requestId

integer As int32 As int32
statusCode
Optional

statusCode


429

The user has sent too many requests

Returns CspErrorResponse of type(s) application/json
"CspErrorResponse Object"
string
cspErrorCode
Optional

cspErrorCode

string
errorCode
Optional

errorCode

string
message
Optional

message

integer As int32 As int32
moduleCode
Optional

moduleCode

string
requestId
Optional

requestId

integer As int32 As int32
statusCode
Optional

statusCode


500

Internal Server Error

Returns CspErrorResponse of type(s) application/json
"CspErrorResponse Object"
string
cspErrorCode
Optional

cspErrorCode

string
errorCode
Optional

errorCode

string
message
Optional

message

integer As int32 As int32
moduleCode
Optional

moduleCode

string
requestId
Optional

requestId

integer As int32 As int32
statusCode
Optional

statusCode


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/csp/gateway/resource/api/v1/orgs/{orgId}/projects/{projectId}/groups/{groupId}